' Copyright (C) 2025  P4pillon.org
'
' This program is free software: you can redistribute it and/or modify
' it under the terms of the GNU Affero General Public License as
' published by the Free Software Foundation, either version 3 of the
' License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU Affero General Public License for more details.
'
' You should have received a copy of the GNU Affero General Public License
' along with this program.  If not, see <https://www.gnu.org/licenses/>.
Imports System.IO
Imports System.Text

Public Class jeux_d_essai_TRONC_COMMUN

    Private Sub GO_Button_Click(sender As Object, e As EventArgs) Handles GO_Button.Click
        LastTest_Label.Text = Série_ComboBox.Text + " " + Numtest_TextBox.Text
        RichTextBox1.Clear()
        Dim file As String
        'OpenFileDialog1.InitialDirectory = Application.StartupPath + "\technique\jeux d'essai"
        'If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then
        '    Exit Sub
        'End If
        'file = OpenFileDialog1.FileName
        file = Application.StartupPath + "\technique\jeux d'essai\jeux d'essai tronc commun.txt"
        Dim sr As New StreamReader(file, Encoding.Default)
        Dim line As String
        Dim Prestations(10) As String
        line = sr.ReadLine

        While InStr(line, Série_ComboBox.Text) = 0 'III.04.01 - TRONC COMMUN
            line = sr.ReadLine
        End While
        Série_Label.Text = Mid(line, 1, InStr(line, " ") - 1)

        While InStr(line, "Test n°" + Numtest_TextBox.Text) = 0 'Test n°1
            line = sr.ReadLine
        End While
        NumTest_Label.Text = Mid(line, InStr(line, "°") + 1)

        For Each lab In Me.Controls
            If lab.GetType.ToString = "System.Windows.Forms.Label" Then
                If lab.Name <> "Série_Label" And lab.Name <> "NumTest_Label" And lab.Name <> "CV_Physique_Label" And Mid(lab.name, 1, 5) <> "Label" And lab.name <> "LastTest_Label" And lab.name <> "CV_Physique_Label" Then
                    lab.Text = ""
                End If
            End If
        Next


        While Not line Is Nothing

            If line = "CAS NON PASSANT" Or _
                   line = "FSE en TP AMO" Or _
                   line = "FSE en TP AMO / TP AMC" Or _
                   line = "FSE en HTP AMO" Or _
                   line = "FSE + DRE en TP AMO / TP AMC" Or _
                   line = "FSE + DRE en HTP AMO / TP AMC" Or _
                   line = "FSE + DRE en HTP AMO / HTP AMC" Or _
                   line = "DRE en TP AMC" Or _
                   line = "DRE en HTP AMC" Or _
                   line = "DRE D’ANNULATION en TP AMC" Then
                Mode_Facturation_Label.Text = line

            ElseIf InStr(line, "CV") = 1 Then 'CV 0102 ALEXANDRE
                CV_Virtuelle_Label.Text = Mid(line, 4, 4)
                Bénéficiaire_Label.Text = Mid(line, InStrRev(line, " ") + 1)
                Jeux_d_essai2.SetCle(Config.SesamIni, "TESTSSV", "NomFichierVitale1", CV_Virtuelle_Label.Text + ".IN")
                Dim lineCV, carte_phys, carte_virt As String
                Using srCV As New StreamReader("C:\ProgramData\santesocial\fsv\1.40.9\adm\Phys-Virt.txt")
                    lineCV = srCV.ReadLine
                    Do
                        carte_phys = Mid(lineCV, 1, InStr(lineCV, ";") - 1)
                        lineCV = Mid(lineCV, InStr(lineCV, ";") + 1)
                        carte_virt = Mid(lineCV, 1, InStr(lineCV, ";") - 1)
                        If carte_virt = CV_Virtuelle_Label.Text Then
                            If CV_Physique_Label.Text <> carte_phys Then
                                CV_Physique_Label.Text = carte_phys
                                Beep()
                                MyMsg_Box.Presentation("Officine", "carte physique: " + carte_phys, False, "", False, "", True, "OK")
                                MyMsg_Box.ShowDialog()
                            End If
                        End If
                        lineCV = srCV.ReadLine
                    Loop Until lineCV Is Nothing Or lineCV = ""
                End Using

            ElseIf InStr(line, "Date de prescription") = 1 Then
                While InStr(line, "/") = 0
                    line = sr.ReadLine
                End While
                Date_Prescription_Label.Text = Mid(line, InStr(line, "/") - 2, 10)

            ElseIf InStr(line, "Origine de la prescription") = 1 Then
                Orgine_Prescription_Label.Text = Mid(line, 30, 1)

            ElseIf InStr(line, "Attestation") = 1 Then
                If IsNumeric(Mid(line, 13)) Then
                    Num_Attestation_Label.Text = Mid(line, 13)
                End If



            ElseIf InStr(line, "Cas de facturation - Pharmaciens - ") <> 0 Then 'declenche la facture
                add_Infos(Série_Label.Text, NumTest_Label.Text)
                Application.DoEvents()
                Dim datef As Jeux_d_essai2.SYSTEMTIME
                datef.wYear = Mid(Date_Facture_Label.Text, 7, 4)
                datef.wMonth = Mid(Date_Facture_Label.Text, 4, 2)
                datef.wDay = Mid(Date_Facture_Label.Text, 1, 2)
                Jeux_d_essai2.SetSystemTime(datef)
                COMPTOIR_MAIN.Visible = True
                'COMPTOIR_MAIN.DatePrecription.Value = New Date(Date_Prescription_Label.Text)
                'COMPTOIR_MAIN.DateExecution.Value = New Date(Date_Execution_Label.Text)
                COMPTOIR_MAIN.DatePrecription.Value = DateTime.ParseExact(Date_Prescription_Label.Text, "dd/MM/yyyy", Nothing)
                COMPTOIR_MAIN.DateExecution.Value = DateTime.ParseExact(Date_Execution_Label.Text, "dd/MM/yyyy", Nothing)
                COMPTOIR_MAIN.LECTURE_VITALE.PerformClick()
                'PRESCRIPTEUR
                COMPTOIR_MAIN.PrescripteurMyCombobox.Text = "pr"
                COMPTOIR_MAIN.recherche_prescripteur()
                add_Actes(Série_Label.Text, NumTest_Label.Text)

                If Code_Justif_Exo_Label.Text = "4" Then
                    For r = 0 To COMPTOIR_MAIN.Vente.RowCount - 2
                        COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteType.Index, r).Value = "ALD"
                    Next
                ElseIf Code_Justif_Exo_Label.Text = "3" Then
                    For r = 0 To COMPTOIR_MAIN.Vente.RowCount - 2
                        COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteType.Index, r).Value = "SP"
                    Next
                ElseIf Code_Justif_Exo_Label.Text = "7" Then
                    For r = 0 To COMPTOIR_MAIN.Vente.RowCount - 2
                        COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteType.Index, r).Value = "PREV"
                    Next
                End If

                If Mode_Facturation_Label.Text = "FSE en TP AMO" Or Mode_Facturation_Label.Text = "FSE en HTP AMO" Then
                    COMPTOIR_MAIN.CheckBox_Facturation_AMC.Checked = False
                End If
                If Num_Attestation_Label.Text <> "" Then
                    add_attestation()
                End If

                If Orgine_Prescription_Label.Text <> "" Then
                    COMPTOIR_MAIN.OriginePrescriptionToolStripMenuItem.Checked = True
                    For i = 0 To COMPTOIR_MAIN.OriginePrescriptionToolStripComboBox.Items.Count - 1
                        If Mid(COMPTOIR_MAIN.OriginePrescriptionToolStripComboBox.Items.Item(i).ToString, 1, 1) = Orgine_Prescription_Label.Text Then
                            COMPTOIR_MAIN.OriginePrescriptionToolStripComboBox.SelectedItem = COMPTOIR_MAIN.OriginePrescriptionToolStripComboBox.Items.Item(i)
                        End If
                    Next
                End If


                Exit Sub



            End If


            line = sr.ReadLine

        End While
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
        '        COMPTOIR_MAIN.CheckBox_Facturation_AMC.Checked = False
        '        COMPTOIR_MAIN.PictureBox_Facturation_Click(Nothing, Nothing)

        '        CurrentBenéficiaire.clear()
        '        COMPTOIR_MAIN.ResetForm()

        '        COMPTOIR_MAIN.Close()

        '    End If
        '    line = sr.ReadLine
        'End While




        sr.Close()


    End Sub

    Private Sub add_Actes(ByVal série As String, num_test As String)
        Dim sr As New StreamReader(Application.StartupPath + "\technique\jeux d'essai\jeux d'essai tronc commun_Lignes.txt", Encoding.Default)
        Dim line As String = sr.ReadLine
        Dim prestations() As Prestation
        Dim done As Boolean
        ReDim prestations(10)
        While Not line Is Nothing
            While InStr(line, série) <> 1 And done = False
                line = sr.ReadLine
            End While
            While InStr(line, "Test n°" + num_test) <> 1 And done = False
                line = sr.ReadLine
            End While
            Dim i As Integer
            While line <> "" And done = False
                line = sr.ReadLine
                RichTextBox1.AppendText(line + Chr(10))
                If InStr(line, "PA ") = 1 Then
                    prestations(i).Acte = "Genouillère"
                ElseIf InStr(line, "1394509 ") <> 0 Then
                    prestations(i).Acte = "1394509"
                ElseIf InStr(line, "B 10,00 (PU 0,27)") = 1 Then
                    prestations(i).Acte = "B 10,00 (PU 0,27)"
                ElseIf InStr(line, "1136581 ") <> 0 Then
                    prestations(i).Acte = "1136581"
                ElseIf InStr(line, "1211383 ") <> 0 Then
                    prestations(i).Acte = "1211383"
                ElseIf InStr(line, "3614369 ") <> 0 Then
                    prestations(i).Acte = "3614369"
                ElseIf InStr(line, "3261020 ") <> 0 Then
                    prestations(i).Acte = "3261020"
                ElseIf InStr(line, "3302210 ") <> 0 Then
                    prestations(i).Acte = "3302210"
                ElseIf InStr(line, "3284618 ") <> 0 Then
                    prestations(i).Acte = "3284618"
                ElseIf InStr(line, "CPH (PU 0,15) ") = 1 Then
                    prestations(i).Acte = "COPIE ORDONNANCE 0.15"
                ElseIf InStr(line, "CPH (PU 0,23) ") = 1 Then
                    prestations(i).Acte = "COPIE ORDONNANCE 0.23"
                ElseIf InStr(line, "UPH (PU 6,00)") = 1 Then
                    prestations(i).Acte = "urgence pharmacie 6€"
                ElseIf InStr(line, "3179755 ") <> 0 Then
                    prestations(i).Acte = "3179755"
                ElseIf InStr(line, "PHA") = 1 Then
                    prestations(i).Acte = "Forfait pharmacie accouchement à domicile"
                ElseIf InStr(line, "3325406") <> 0 Then
                    prestations(i).Acte = "3325406"
                ElseIf InStr(line, "3145785") <> 0 Then
                    prestations(i).Acte = "3145785"
                ElseIf InStr(line, "Synthol gel tube 100g") <> 0 Then
                    prestations(i).Acte = "Synthol gel tube 100g"
                ElseIf InStr(line, "3145992") <> 0 Then
                    prestations(i).Acte = "3145992"
                ElseIf InStr(line, "1373884") <> 0 Then
                    prestations(i).Acte = "1373884"
                ElseIf InStr(line, "3257001") <> 0 Then
                    prestations(i).Acte = "3257001"
                ElseIf InStr(line, "3322141") <> 0 Then
                    prestations(i).Acte = "3322141"
                ElseIf InStr(line, "3229708") <> 0 Then
                    prestations(i).Acte = "3229708"
                ElseIf InStr(line, "2158449") <> 0 Then
                    prestations(i).Acte = "2158449"
                ElseIf InStr(line, "2542219") <> 0 Then
                    prestations(i).Acte = "2542219"
                ElseIf InStr(line, "3320981") <> 0 Then
                    prestations(i).Acte = "3320981"
                ElseIf InStr(line, "1205520") <> 0 Then
                    prestations(i).Acte = "1205520"
                ElseIf InStr(line, "0075009") <> 0 Then
                    prestations(i).Acte = "0075009"
                ElseIf InStr(line, "3180630") <> 0 Then
                    prestations(i).Acte = "3180630"
                ElseIf InStr(line, "1389052") <> 0 Then
                    prestations(i).Acte = "1389052"
                ElseIf InStr(line, "1249374") <> 0 Then
                    prestations(i).Acte = "1249374"
                ElseIf InStr(line, "2299180") <> 0 Then
                    prestations(i).Acte = "2299180"
                ElseIf InStr(line, "2291183") <> 0 Then
                    prestations(i).Acte = "2291183"
                ElseIf InStr(line, "2223342") <> 0 Then
                    prestations(i).Acte = "2223342"
                ElseIf InStr(line, "3045871") <> 0 Then
                    prestations(i).Acte = "3045871"
                ElseIf InStr(line, "3232018") <> 0 Then
                    prestations(i).Acte = "3232018"
                ElseIf InStr(line, "3122689") <> 0 Then
                    prestations(i).Acte = "3122689"
                ElseIf InStr(line, "3122689") <> 0 Then
                    prestations(i).Acte = "3122689"
                ElseIf InStr(line, "3431806") <> 0 Then
                    prestations(i).Acte = "3431806"
                ElseIf InStr(line, "3437536") <> 0 Then
                    prestations(i).Acte = "3437536"
                ElseIf InStr(line, "3293617") <> 0 Then
                    prestations(i).Acte = "3293617"
                ElseIf InStr(line, "3367362") <> 0 Then
                    prestations(i).Acte = "3367362"
                ElseIf InStr(line, "1241763") <> 0 Then
                    prestations(i).Acte = "1241763"
                ElseIf InStr(line, "3641372") <> 0 Then
                    prestations(i).Acte = "3641372"
                ElseIf InStr(line, "1149514") <> 0 Then
                    prestations(i).Acte = "1149514"
                ElseIf InStr(line, "1111902") <> 0 Then
                    prestations(i).Acte = "1111902"
                ElseIf InStr(line, "3605784") <> 0 Then
                    prestations(i).Acte = "3605784"
                ElseIf InStr(line, "3611313") <> 0 Then
                    prestations(i).Acte = "3611313"
                ElseIf InStr(line, "3100067") <> 0 Then
                    prestations(i).Acte = "3100067"
                ElseIf InStr(line, "2652988") <> 0 Then
                    prestations(i).Acte = "2652988"
                ElseIf InStr(line, "2210546") <> 0 Then
                    prestations(i).Acte = "2210546"
                ElseIf InStr(line, "2259245") <> 0 Then
                    prestations(i).Acte = "2259245"
                ElseIf InStr(line, "2240671") <> 0 Then
                    prestations(i).Acte = "2240671"
                ElseIf InStr(line, "2251545") <> 0 Then
                    prestations(i).Acte = "2251545"
                ElseIf InStr(line, "2251545") <> 0 Then
                    prestations(i).Acte = "2251545"
                ElseIf InStr(line, "2620400") <> 0 Then
                    prestations(i).Acte = "2620400"
                ElseIf InStr(line, "2267397") <> 0 Then
                    prestations(i).Acte = "2267397"
                ElseIf InStr(line, "1122975") <> 0 Then
                    prestations(i).Acte = "1122975"
                ElseIf InStr(line, "1134866") <> 0 Then
                    prestations(i).Acte = "1134866"
                ElseIf InStr(line, "2316782") <> 0 Then
                    prestations(i).Acte = "2316782"
                ElseIf InStr(line, "2445350") <> 0 Then
                    prestations(i).Acte = "2445350"
                ElseIf InStr(line, "2540338") <> 0 Then
                    prestations(i).Acte = "2540338"
                ElseIf InStr(line, "4321630") <> 0 Then
                    prestations(i).Acte = "4321630"
                ElseIf InStr(line, "3655026") <> 0 Then
                    prestations(i).Acte = "3655026"
                ElseIf InStr(line, "3489102") <> 0 Then
                    prestations(i).Acte = "3489102"
                ElseIf InStr(line, "3730756") <> 0 Then
                    prestations(i).Acte = "3730756"
                ElseIf InStr(line, "3400935974419") <> 0 Then
                    prestations(i).Acte = "3400935974419"
                ElseIf InStr(line, "ABUFENE CPR 400 MG 30") <> 0 Then
                    prestations(i).Acte = "ABUFENE CPR 400 MG 30"
                ElseIf InStr(line, "3400933943998") <> 0 Then
                    prestations(i).Acte = "3400933943998"
                ElseIf InStr(line, "3264449") <> 0 Then
                    prestations(i).Acte = "3264449"
                ElseIf InStr(line, "3189819") <> 0 Then
                    prestations(i).Acte = "3189819"
                ElseIf InStr(line, "3715722") <> 0 Then
                    prestations(i).Acte = "3715722"
                ElseIf InStr(line, "1101230") <> 0 Then
                    prestations(i).Acte = "1101230"
                ElseIf InStr(line, "ATL") = 1 Then
                    prestations(i).Acte = "Complément AT LPP"
                ElseIf InStr(line, "PPI") = 1 Then
                    prestations(i).Acte = "PPI"
                ElseIf InStr(line, "PMH") = 1 Then
                    prestations(i).Acte = "PMH"
                ElseIf InStr(line, "PM4") = 1 Then
                    prestations(i).Acte = "PM4"
                ElseIf InStr(line, "3227046") <> 0 Then
                    prestations(i).Acte = "3227046"
                ElseIf InStr(line, "SGS") = 1 Then
                    prestations(i).Acte = "SGS"
                ElseIf InStr(line, "SGN") = 1 Then
                    i = i - 1
                ElseIf InStr(line, "DPS") = 1 Then
                    i = i - 1
                ElseIf InStr(line, "ID") = 1 Then
                    prestations(i).Acte = "Indemnité de Déplacement"
                ElseIf InStr(line, "4118193") <> 0 Then
                    prestations(i).Acte = "4118193"
                ElseIf InStr(line, "ARO") = 1 Then
                    prestations(i).Acte = "générateur"
                ElseIf InStr(line, "XYZ ") = 1 Then
                    prestations(i).Acte = "XYZ"
                ElseIf InStr(line, "PMR") = 1 Then
                    prestations(i).Acte = "PMR"
                ElseIf InStr(line, "MPI") = 1 Then
                    prestations(i).Acte = "MPI"
                ElseIf InStr(line, "2351548") <> 0 Then
                    prestations(i).Acte = "2351548"
                ElseIf InStr(line, "ORP") = 1 Then
                    prestations(i).Acte = "ORP"
                ElseIf InStr(line, "INIPOMP 20 MG") <> 0 Then
                    prestations(i).Acte = "INIPOMP 20 MG"
                ElseIf InStr(line, "3264455") <> 0 Then
                    prestations(i).Acte = "3264455"
                ElseIf InStr(line, "KGP") = 1 Then
                    prestations(i).Acte = "Kit Anti-Grippe"
                ElseIf InStr(line, "1120338") <> 0 Then
                    prestations(i).Acte = "1120338"
                ElseIf InStr(line, "1205477") <> 0 Then
                    prestations(i).Acte = "1205477"
                ElseIf InStr(line, "1247665") <> 0 Then
                    prestations(i).Acte = "1247665"
                ElseIf InStr(line, "TQQ") = 1 Then
                    prestations(i).Acte = "Acte non supporté par le régime"
                ElseIf InStr(line, "3268424") <> 0 Then
                    prestations(i).Acte = "3268424"
                ElseIf InStr(line, "PDM") = 1 Then
                    prestations(i).Acte = "Dispositif Médical (prise en charge"
                End If

                If InStr(line, "Prix public") <> 0 Then
                    prestations(i).prix = Mid(line, InStr(line, "Prix public") + 12)
                    Dim longueur_string_prix As Integer
                    longueur_string_prix = Math.Min(InStr(prestations(i).prix, " "), InStr(prestations(i).prix, ")"))
                    prestations(i).prix = Mid(prestations(i).prix, 1, longueur_string_prix - 1)
                ElseIf InStr(line, "(PU ") <> 0 Then
                    prestations(i).prix = Mid(line, InStr(line, "(PU ") + 4)
                    prestations(i).prix = Mid(prestations(i).prix, 1, InStr(prestations(i).prix, ")") - 1)
                End If


                i = i + 1
            End While
            done = True
            line = sr.ReadLine
        End While

        For r = 0 To 10
            If prestations(r).Acte <> "" Then
                COMPTOIR_MAIN.Vente.Rows.Add()
            End If
        Next
        For r = 0 To 10
            If prestations(r).Acte <> "" Then
                COMPTOIR_MAIN.Vente.CurrentCell = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.Vente_produits.Index, r)
                COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.Vente_produits.Index, r).Value = prestations(r).Acte

                COMPTOIR_MAIN.Vente.CurrentCell = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteQuantité.Index, r)

                If prestations(r).Acte = "B 10,00 (PU 0,27)" Then
                    COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteQuantité.Index, r).Value = "10"
                Else
                    COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VenteQuantité.Index, r).Value = "1"
                End If

                COMPTOIR_MAIN.Vente.CurrentCell = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VentePrix.Index, r)
                COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VentePrix.Index, r).Value = prestations(r).prix
                COMPTOIR_MAIN.Vente.CurrentCell = COMPTOIR_MAIN.Vente.Item(COMPTOIR_MAIN.VentePrix.Index + 1, r)


            End If
        Next

        sr.Close()
    End Sub

    Private Structure Prestation
        Dim Acte As String
        Dim prix As String

    End Structure

    Private Sub add_Infos(ByVal série As String, num_test As String)
        Dim sr As New StreamReader(Application.StartupPath + "\technique\jeux d'essai\jeux d'essai tronc commun_Lignes.txt", Encoding.Default)
        Dim line As String = sr.ReadLine
        While InStr(line, série) <> 1
            line = sr.ReadLine
        End While

        While InStr(line, "Test n°" + num_test) <> 1
            line = sr.ReadLine
        End While

        line = sr.ReadLine


        If InStr(line, "code 0") <> 0 Then
            Code_Justif_Exo_Label.Text = "0"
        ElseIf InStr(line, "code 3") <> 0 Then
            Code_Justif_Exo_Label.Text = "3"
        ElseIf InStr(line, "code 4") <> 0 Then
            Code_Justif_Exo_Label.Text = "4"
        ElseIf InStr(line, "code 5") <> 0 Then
            Code_Justif_Exo_Label.Text = "5"
        ElseIf InStr(line, "code 7") <> 0 Then
            Code_Justif_Exo_Label.Text = "7"
        ElseIf InStr(line, "code 9") <> 0 Then
            Code_Justif_Exo_Label.Text = "9"
        End If

        line = Mid(line, InStr(line, "/") - 2)
        Date_Facture_Label.Text = Mid(line, 1, 10)
        line = Mid(line, 12)
        Date_Execution_Label.Text = Mid(line, 1, 10)







        sr.Close()
    End Sub

    Private Sub add_attestation()
        COMPTOIR_MAIN.AMC_Piècejustificative_ComboBox.SelectedIndex = 2
        Dim sr As New StreamReader(Application.StartupPath + "\technique\jeux d'essai\attestations.txt", Encoding.Default)
        Dim line As String = sr.ReadLine
        While InStr(line, "ATTESTATION N° " + Num_Attestation_Label.Text) = 0
            line = sr.ReadLine
        End While
        line = sr.ReadLine
        While InStr(line, "Formules autorisées") = 0

            If InStr(line, "Numéro de mutuelle :") = 1 Then
                If IsNumeric(Mid(line, 22, 8)) Then
                    COMPTOIR_MAIN.MUT_NumMutuelle_TextBox.Select()
                    COMPTOIR_MAIN.MUT_NumMutuelle_TextBox.Text = Mid(line, 22, 8)
                    COMPTOIR_MAIN.AMC_Code_Aiguillage_STS_TextBox.Select()
                End If

            ElseIf InStr(line, "Numéro d’AMC :") = 1 Then
                line = LTrim(Mid(line, InStr(line, ":") + 1))
                If IsNumeric(Mid(line, 1, InStr(line, " ") - 1)) Then
                    COMPTOIR_MAIN.AMC_NumAMC_TextBox.Select()
                    COMPTOIR_MAIN.AMC_NumAMC_TextBox.Text = Mid(line, 1, InStr(line, " ") - 1)
                    COMPTOIR_MAIN.AMC_Numadhérent_TextBox.Select()
                End If
                line = Mid(line, InStr(line, "Numéro d’adhérent :"))
                If line.Length > "Numéro d’adhérent : ".Length Then
                    COMPTOIR_MAIN.AMC_Numadhérent_TextBox.Text = Mid(line, InStrRev(line, " ") + 1)
                End If

            ElseIf InStr(line, "Identifiant AMC :") = 1 Then
                If line.Length > "Identifiant AMC : ".Length Then
                    COMPTOIR_MAIN.AMC_IdentifiantAMC_TextBox.Text = Mid(line, InStrRev(line, " ") + 1)
                End If

            ElseIf InStr(line, "Indicateur de traitement :") = 1 Then
                If line.Length > "Indicateur de traitement : ".Length Then
                    line = Mid(line, "Indicateur de traitement : ".Length + 1)
                    COMPTOIR_MAIN.AMC_Indicateurdetrairement_TextBox.Text = Mid(line, 1, InStr(line, " ") - 1)
                End If

            ElseIf InStr(line, "STS :") = 1 And line <> "STS :" Then
                COMPTOIR_MAIN.AMC_Code_Aiguillage_STS_TextBox.Text = Mid(line, 7, 1)

            ElseIf InStr(line, "Code routage :") = 1 Then
                Dim stringtampon As String
                stringtampon = Mid(line, "Code routage :".Length + 1)
                stringtampon = Mid(stringtampon, 1, InStr(stringtampon, "Domaine :") - 1)
                COMPTOIR_MAIN.AMC_CodeRoutage_TextBox.Text = Replace(stringtampon, " ", "")

                stringtampon = Mid(line, InStr(line, "Domaine :") + "Domaine :".Length + 1)
                stringtampon = Mid(stringtampon, 1, InStr(stringtampon, "Identifiant hôte :") - 1)
                COMPTOIR_MAIN.AMC_NomDomaine_TextBox.Text = Replace(stringtampon, " ", "")
                stringtampon = Mid(line, InStrRev(line, " ") + 1)
                If stringtampon <> ":" Then
                    COMPTOIR_MAIN.AMC_IdHote_TextBox.Text = Replace(stringtampon, " ", "")
                End If

            ElseIf InStr(line, "Type de convention :") = 1 Then
                Dim stringtampon As String
                stringtampon = Mid(line, "Type de convention :".Length + 1)
                stringtampon = Mid(stringtampon, 1, InStr(stringtampon, "Critère secondaire") - 1)
                COMPTOIR_MAIN.AMC_Type_Convention_TextBox.Text = Replace(stringtampon, " ", "")
                stringtampon = Mid(line, InStrRev(line, " ") + 1)
                If stringtampon <> ":" Then
                    COMPTOIR_MAIN.AMC_Critère_secondaire_TextBox.Text = Replace(stringtampon, " ", "")
                End If

            End If
            line = sr.ReadLine

        End While
        RichTextBox1.AppendText(Chr(10))
        While InStr(line, "ATTESTATION N° ") = 0
            RichTextBox1.AppendText(line + Chr(10))
            line = sr.ReadLine
        End While
        sr.Close()
    End Sub


    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim searchedstring As String

        RichTextBox1.Clear()

        searchedstring = "Genouillère"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1394509"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "B 10,00 (PU 0,27)"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1136581"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1211383"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3614369"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3261020"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3302210"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3284618"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "COPIE ORDONNANCE 0.15"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "COPIE ORDONNANCE 0.23"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "urgence pharmacie 6€"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3179755"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Forfait pharmacie accouchement à domicile"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3325406"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3145785"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Synthol gel tube 100g"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3145992"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1373884"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3257001"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3322141"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3229708"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2158449"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2542219"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3320981"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1205520"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "0075009"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3180630"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1389052"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1249374"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2299180"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2291183"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2223342"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3045871"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3232018"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3122689"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3122689"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3431806"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3437536"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3293617"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3367362"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1241763"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3641372"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1149514"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1111902"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3605784"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3611313"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3100067"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2652988"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2210546"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2259245"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2240671"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2251545"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2251545"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2620400"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2267397"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1122975"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1134866"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2316782"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2445350"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2540338"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "4321630"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3655026"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3489102"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3730756"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3400935974419"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "ABUFENE CPR 400 MG 30"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3400933943998"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3264449"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3189819"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3715722"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1101230"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "ATL"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "PPI"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "PMH"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "PM4"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3227046"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "SGS"

        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Indemnité de Déplacement"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "4118193"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "ARO Location hebdomadaire"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "XYZ"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "PMR"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "MPI"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "2351548"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "ORP"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "INIPOMP 20 MG"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3264455"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Kit Anti-Grippe"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1120338"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1205477"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "1247665"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Acte non supporté par le régime"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "3268424"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If
        searchedstring = "Dispositif Médical (prise en charge"
        If COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring) <> 1 Then
            RichTextBox1.AppendText(searchedstring + "-->" + COMPTOIR_MAIN.ProduitsTableAdapter.selectcountproduit(searchedstring, searchedstring, searchedstring, searchedstring).ToString + Chr(10))
        End If



    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Numtest_TextBox.Text = (Val(Numtest_TextBox.Text) + 1).ToString
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Numtest_TextBox.Text = (Val(Numtest_TextBox.Text) - 1).ToString
    End Sub

    Private Sub jeux_d_essai_TRONC_COMMUN_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim File As String = Application.StartupPath + "\technique\jeux d'essai\jeux d'essai tronc commun.txt"
        Dim sr As New StreamReader(File, Encoding.Default)
        Dim line As String
        line = sr.ReadLine
        While Not line Is Nothing
            If InStr(line, "III.04.") = 1 Then
                Série_ComboBox.Items.Add(line)
            End If
            line = sr.ReadLine
        End While
    End Sub
End Class